Skip to content
Streamkap
Esc
↑↓navigate↵open⌘Jpreview

Create Agent Http Connection

Create one HTTP connection. id is server-generated.

Header values are KMS-encrypted at rest and full-mask on response. Authorization is allowed in headers (unlike External MCP, which owns its own auth shape via authMode).

POST/agents/connections/http
Authorization
AuthorizationBearer token · headerrequired
Request body
requiredapplication/json
object
Responses
201

Successful Response

object
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X POST 'https://api.streamkap.com/agents/connections/http' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{}'
Response
{}